/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2021 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sundhedsdatastyrelsen.cbs.service.webservice;

import org.apache.commons.lang3.NotImplementedException;
import org.springframework.stereotype.Service;

import java.time.LocalDate;

@Service
public class MockDataService {


    public static class Person {
        public String first;
        public String last;
        public LocalDate birthDate;
        boolean euPass;
        boolean dkPass;

        public Person(String first, String last, LocalDate birthDate, boolean euPass, boolean dkPass) {
            this.first = first;
            this.last = last;
            this.birthDate = birthDate;
            this.euPass = euPass;
            this.dkPass = dkPass;
        }
    }

    public static Person person(String cpr) {
        switch (cpr) {
            case "0405870101":
                return new Person("Anders", "Andersen", LocalDate.of(1987, 5, 4), true, true);
            case "0405870102":
                return new Person("Bente", "Bendtsen", LocalDate.of(1987, 5, 4), true, true);
            case "0405870103":
                return new Person("Casper", "Christensen", LocalDate.of(1987, 5, 4), true, true);
            case "0405870104":
                return new Person("Dorthe", "Drewes", LocalDate.of(1987, 5, 4), true, true);
            case "0405870105":
                return new Person("Egon", "Eilersen", LocalDate.of(1987, 5, 4), true, true);
            case "0405870106":
                return new Person("Frederikke", "Frederiksen", LocalDate.of(1987, 5, 4), true, true);
            case "0405870107":
                return new Person("Gert", "Gorbatjov", LocalDate.of(1987, 5, 4), true, true);
            case "0405870108":
                return new Person("Helle", "Henriksen", LocalDate.of(1987, 5, 4), true, true);
            case "0405870109":
                return new Person("Ivan", "Ingolfsen", LocalDate.of(1987, 5, 4), true, true);
            case "0405870110":
                return new Person("Jytte", "Jensen", LocalDate.of(1987, 5, 4), true, true);
            case "0405870111":
                return new Person("Klaus", "Kornsted", LocalDate.of(1987, 5, 4), false, true);
            case "0405870112":
                return new Person("Line", "Larsen", LocalDate.of(1987, 5, 4), false, true);
            case "0405870113":
                return new Person("Martin", "Monradsen", LocalDate.of(1987, 5, 4), false, true);
            case "0405870115":
                return new Person("Olga", "Olsen", LocalDate.of(1987, 5, 4), true, false);
            case "0405870117":
                return new Person("Quang", "Que", LocalDate.of(1987, 5, 4), true, true);
            case "0405870118":
                return new Person("Rasmus", "Rossen", LocalDate.of(1987, 5, 4), true, true);
            case "2011451636":
                return new Person("Åge bárður", "Ågesen", LocalDate.of(1945, 11, 20), true, true);
            case "1704080278":
                return new Person("Tämirä", "Jäkøbsén", LocalDate.of(2008, 4, 17), true, true);

            default:
                throw new NotImplementedException();
        }
    }

}
