/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2021 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sundhedsdatastyrelsen.cbs.idptest;

public enum SOAPOperation {

    GetCoronaPass(null),
    GetCoronaPassDGWS("http://sundhedsdatastyrelsen.dk/coronapass/2021/03/coronapass-web-service#GetCoronaPassDGWS"),
    GetVaccinationCard("http://vaccinationsregister.dk/schemas/2013/12/01#GetVaccinationCard"),
    CreateVaccination("http://vaccinationsregister.dk/schemas/2013/12/01#CreateVaccination"),
    CreatePreviousVaccination("http://vaccinationsregister.dk/schemas/2013/12/01#CreatePreviousVaccination"),
    DeleteVaccination("http://vaccinationsregister.dk/schemas/2013/12/01#DeleteVaccination"),
    DumpPatients("http://www.ssi.dk/nsi/xml.schema/2013/01/01#DumpPatients"),
    GetSignedEUCovidTestCertificate( "http://sundhedsdatastyrelsen.dk/coronapass/2021/07/eu-covid-test-certificate-signing#GetSignedEUCovidTestCertificate");

    private final String soapAction;

    private SOAPOperation(String soapAction) {
        this.soapAction = soapAction;
    }

    public String getSoapAction() {
        return soapAction;
    }
}
