/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2021 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sundhedsdatastyrelsen.cbs.webservice.dgws;

import org.springframework.lang.NonNull;
import org.springframework.lang.Nullable;

import java.time.LocalDate;

public enum ECprPerson {
    ECPR_0101017ZZ7("0101017ZZ7", "Tue Test Testesen", LocalDate.of(2001, 1, 1)),
    ECPR_2412217XI1("2412217XI1", "Vincent Jensen", LocalDate.of(2021, 12, 24)),
    ECPR_NO_BIRTHDATE("0302007LA2", "Karoline Jensen", null);

    private final String name;
    private final String identifier;
    private final LocalDate birthDate;

    ECprPerson(@NonNull String identifier, @NonNull String name, @Nullable LocalDate birthDate) {
        this.name = name;
        this.identifier = identifier;
        this.birthDate = birthDate;
    }

    @NonNull
    public String getName() {
        return name;
    }

    @NonNull
    public String getIdentifier() {
        return identifier;
    }

    @Nullable
    public LocalDate getBirthDate() {
        return birthDate;
    }
}
